diff --git a/modules/pico_dhcp_client.c b/modules/pico_dhcp_client.c
index 57706f2f0..643834615 100644
--- a/modules/pico_dhcp_client.c
+++ b/modules/pico_dhcp_client.c
@@ -14,7 +14,7 @@
 #include "pico_socket.h"
 #include "pico_eth.h"
 
-#if defined PICO_SUPPORT_DHCPC && defined PICO_SUPPORT_UDP
+#if (defined PICO_SUPPORT_DHCPC && defined PICO_SUPPORT_UDP)
 #define dhcpc_dbg(...) do {} while(0)
 /* #define dhcpc_dbg dbg */
 
diff --git a/modules/pico_dhcp_client.h b/modules/pico_dhcp_client.h
index 4ff37a648..07886fed0 100644
--- a/modules/pico_dhcp_client.h
+++ b/modules/pico_dhcp_client.h
@@ -5,6 +5,7 @@
    .
 
  *********************************************************************/
+#include "pico_defines.h"
 #ifdef PICO_SUPPORT_UDP
 #ifndef INCLUDE_PICO_DHCP_CLIENT
 #define INCLUDE_PICO_DHCP_CLIENT
diff --git a/modules/pico_dhcp_server.c b/modules/pico_dhcp_server.c
index ab01e70cc..5dd72a93d 100644
--- a/modules/pico_dhcp_server.c
+++ b/modules/pico_dhcp_server.c
@@ -14,7 +14,7 @@
 #include "pico_stack.h"
 #include "pico_arp.h"
 
-#if defined PICO_SUPPORT_DHCPD && defined PICO_SUPPORT_UDP
+#if (defined PICO_SUPPORT_DHCPD && defined PICO_SUPPORT_UDP)
 
 #define dhcps_dbg(...) do {} while(0)
 /* #define dhcps_dbg dbg */
diff --git a/modules/pico_dhcp_server.h b/modules/pico_dhcp_server.h
index 1604e1cb4..19e31da4d 100644
--- a/modules/pico_dhcp_server.h
+++ b/modules/pico_dhcp_server.h
@@ -3,6 +3,7 @@
    See LICENSE and COPYING for usage.
 
  *********************************************************************/
+#include "pico_defines.h"
 #ifdef PICO_SUPPORT_UDP
 #ifndef INCLUDE_PICO_DHCP_SERVER
 #define INCLUDE_PICO_DHCP_SERVER
